<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
 
  <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            id="org.eclipse.mtj.jmunit.wizards.UpdateJMUnitTestSuite"
            nameFilter="*TestSuite.java"
            objectClass="org.eclipse.jdt.core.ICompilationUnit">
         <action
               label="%UpdateJMUnitSuiteAction.label"
               class="org.eclipse.mtj.internal.jmunit.ui.actions.UpdateJMUnitTestSuiteAction"
               tooltip="%UpdateJMUnitSuiteAction.tooltip"
               enablesFor="1"
               id="updateJMUnitTestSuite">
         </action>
      </objectContribution>
  </extension>
  
  
  <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%WizardJMUnitCategory.name"
            parentCategory="mtj.category"
            id="org.eclipse.mtj.jmunit">
      </category>
      <wizard
            name="%JMUnitTestCaseWizard.name"
            icon="icons/full/etool16/new_testcase.gif"
            category="mtj.category/org.eclipse.mtj.jmunit"
            id="org.eclipse.mtj.j2meunit.wizards.NewJ2METestCaseWizard">
         <class
               class="org.eclipse.mtj.internal.jmunit.ui.wizards.testcase.NewJMUnitTestCaseWizard">
            <parameter
                  name="javatype"
                  value="true">
            </parameter>
         </class>
<!-- see bug 48164 for wrong pde compiler warnings -->
         <description>
            %JMUnitTestWizard.description
         </description>
      </wizard>
     <wizard
            name="%JMUnitTestSuiteWizard.name"
            icon="icons/full/etool16/new_testsuite.gif"
            category="mtj.category/org.eclipse.mtj.jmunit"
            class="org.eclipse.mtj.internal.jmunit.ui.wizards.testsuite.NewJMUnitTestSuiteCreationWizard"
            id="org.eclipse.mtj.j2meunit.internal.ui.wizards.NewJ2METestSuiteCreationWizard">
         <description>
            %JMUnitSuiteWizard.description
         </description>
      </wizard>
   </extension>
  <extension
        id="jmunitNature"
        name="JMUnit Nature"
        point="org.eclipse.core.resources.natures">
     <runtime>
        <run
              class="org.eclipse.mtj.internal.jmunit.core.JMUnitNature">
        </run>
     </runtime>
     <requires-nature
           id="org.eclipse.mtj.core.nature">
     </requires-nature>
  </extension>
  <extension
        point="org.eclipse.ui.popupMenus">
     <objectContribution
           adaptable="true"
           id="org.eclipse.mtj.ui.action.popup.project.disableJMUnit"
           objectClass="org.eclipse.core.resources.IProject">
        <visibility>
           <and>
              <objectState
                    name="nature"
                    value="org.eclipse.mtj.core.nature">
              </objectState>
              <objectState
                    name="nature"
                    value="org.eclipse.mtj.jmunit.jmunitNature">
              </objectState>
           </and>
        </visibility>
        <action
              class="org.eclipse.mtj.internal.jmunit.ui.actions.DisableJMUnitAction"
              id="org.eclipse.mtj.jmunit.disableJMUnitAction"
              label="Disable JMUnit"
              menubarPath="org.eclipse.mtj.ui.popup.menu/convert">
        </action>
     </objectContribution>
     <objectContribution
           adaptable="true"
           id="org.eclipse.mtj.ui.action.popup.project.enableJMUnit"
           objectClass="org.eclipse.core.resources.IProject">
        <visibility>
           <and>
              <objectState
                    name="nature"
                    value="org.eclipse.mtj.core.nature">
              </objectState>
              <not>
                 <objectState
                       name="nature"
                       value="org.eclipse.mtj.jmunit.jmunitNature">
                 </objectState>
              </not>
           </and>
        </visibility>
        <action
              class="org.eclipse.mtj.internal.jmunit.ui.actions.EnableJMUnitAction"
              id="org.eclipse.mtj.jmunit.enableJMUnitAction"
              label="Enable JMUnit"
              menubarPath="org.eclipse.mtj.ui.popup.menu/convert">
        </action>
     </objectContribution>
  </extension>
 
</plugin>
